Package org.eclipse.birt.chart.computation

# Interface IGObjectFactory

All Known Implementing Classes:
  `GObjectFactory`

public interface IGObjectFactory

## Method Summary

Modifier and Type
Method
Description
`Bounds`
`adjusteBounds(Bounds bo, Insets ins)`
`ColorDefinition`
`BLACK()`
`ColorDefinition`
`brighter(ColorDefinition src)`
`Label`
`copyCompactLabel(Label src)`
`Marker`
`copyMarkerNoFill(Marker src)`
`ActionValue`
`copyOf(ActionValue src)`
`Bounds`
`copyOf(Bounds src)`
`ColorDefinition`
`copyOf(ColorDefinition src)`
`Fill`
`copyOf(Fill src)`
`FontDefinition`
`copyOf(FontDefinition src)`
`Gradient`
`copyOf(Gradient src)`
`Image`
`copyOf(Image src)`
`Insets`
`copyOf(Insets src)`
`LineAttributes`
`copyOf(LineAttributes src)`
`Text`
`copyOf(Text src)`
`TextAlignment`
`copyOf(TextAlignment src)`
`Label`
`copyOf(Label src)`
`Action`
`copyOf(Action src)`
`Trigger`
`copyOf(Trigger src)`
`Action`
`createAction(ActionType at, ActionValue av)`
`Bounds`
`createBounds(double dLeft, double dTop, double dWidth, double dHeight)`
`ColorDefinition`
`createColorDefinition(int iRed, int iGreen, int iBlue)`
`ColorDefinition`
`createColorDefinition(int iRed, int iGreen, int iBlue, int iAlpha)`
`FontDefinition`
`createFontDefinition(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)`
`Gradient`
`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd)`
`Gradient`
`createGradient(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)`
`Image`
`createImage(String sUrl)`
`Insets`
`createInsets(double dTop, double dLeft, double dBottom, double dRight)`
`Label`
`createLabel()`
`LineAttributes`
`createLineAttributes(ColorDefinition cd, LineStyle ls, int iThickness)`
`Location`
`createLocation(double dX, double dY)`
`Location3D`
`createLocation3D(double x, double y, double z)`
`Location3D[]`
`createLocation3Ds(double[] xa, double[] ya, double[] za)`
`Location[]`
`createLocations(double[] xa, double[] ya)`
`ScriptValue`
`createScriptValue(String script)`
`SeriesValue`
`createSeriesValue(String name)`
`Text`
`createText(String sValue)`
`TextAlignment`
`createTextAlignment()`
`TooltipValue`
`createTooltipValue(int iDelay, String sText)`
`TooltipValue`
`createTooltipValue(int iDelay, String sText, FormatSpecifier formatSpecifier)`
`Trigger`
`createTrigger(TriggerCondition tc, Action a)`
`URLValue`
`createURLValue(String sBaseUrl, String sTarget, String sBaseParameterName, String sValueParameterName, String sSeriesParameterName)`
`ColorDefinition`
`darker(ColorDefinition src)`
`ColorDefinition`
`GREY()`
`Insets`
`max(Insets ins1, Insets ins2)`
`ColorDefinition`
`RED()`
`Bounds`
`scaleBounds(Bounds bo, double dScale)`
`Insets`
`scaleInsets(Insets ins, double dScale)`
`Bounds`
`translateBounds(Bounds bo, double dTranslateX, double dTranslateY)`
`ColorDefinition`
`translucent(ColorDefinition src)`
`ColorDefinition`
`TRANSPARENT()`
`ColorDefinition`
`WHITE()`

## Method Details

### createLocation

Location createLocation(double dX, double dY)

### createLocations

Location[] createLocations(double[] xa, double[] ya)

### createLocation3D

Location3D createLocation3D(double x, double y, double z)

### createLocation3Ds

Location3D[] createLocation3Ds(double[] xa, double[] ya, double[] za)

### createColorDefinition

ColorDefinition createColorDefinition(int iRed, int iGreen, int iBlue, int iAlpha)

### createColorDefinition

ColorDefinition createColorDefinition(int iRed, int iGreen, int iBlue)

### createLineAttributes

LineAttributes createLineAttributes(ColorDefinition cd, LineStyle ls, int iThickness)

### createTextAlignment

TextAlignment createTextAlignment()

### createText

Text createText(String sValue)

### createInsets

Insets createInsets(double dTop, double dLeft, double dBottom, double dRight)

### copyOf

Label copyOf(Label src)

### copyOf

Text copyOf(Text src)

### copyOf

TextAlignment copyOf(TextAlignment src)

### copyOf

LineAttributes copyOf(LineAttributes src)

### copyOf

Bounds copyOf(Bounds src)

### copyOf

FontDefinition copyOf(FontDefinition src)

### copyOf

ColorDefinition copyOf(ColorDefinition src)

### copyOf

Fill copyOf(Fill src)

### copyOf

Insets copyOf(Insets src)

### copyOf

Trigger copyOf(Trigger src)

### copyOf

Gradient copyOf(Gradient src)

### copyOf

ActionValue copyOf(ActionValue src)

### copyOf

Action copyOf(Action src)

### createLabel

Label createLabel()

### copyCompactLabel

Label copyCompactLabel(Label src)

### TRANSPARENT

ColorDefinition TRANSPARENT()

### BLACK

ColorDefinition BLACK()

### WHITE

ColorDefinition WHITE()

### GREY

ColorDefinition GREY()

### RED

ColorDefinition RED()

### createGradient

Gradient createGradient(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)

### createGradient

Gradient createGradient(ColorDefinition cdStart, ColorDefinition cdEnd)

### createFontDefinition

FontDefinition createFontDefinition(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)

### createImage

Image createImage(String sUrl)

### copyOf

Image copyOf(Image src)

### brighter

ColorDefinition brighter(ColorDefinition src)

### darker

ColorDefinition darker(ColorDefinition src)

### translucent

ColorDefinition translucent(ColorDefinition src)

### createBounds

Bounds createBounds(double dLeft, double dTop, double dWidth, double dHeight)

### adjusteBounds

Bounds adjusteBounds(Bounds bo, Insets ins)

### scaleBounds

Bounds scaleBounds(Bounds bo, double dScale)

### translateBounds

Bounds translateBounds(Bounds bo, double dTranslateX, double dTranslateY)

### scaleInsets

Insets scaleInsets(Insets ins, double dScale)

### max

Insets max(Insets ins1, Insets ins2)

### createTrigger

Trigger createTrigger(TriggerCondition tc, Action a)

### copyMarkerNoFill

Marker copyMarkerNoFill(Marker src)

### createAction

Action createAction(ActionType at, ActionValue av)

### createScriptValue

ScriptValue createScriptValue(String script)

### createSeriesValue

SeriesValue createSeriesValue(String name)

### createTooltipValue

TooltipValue createTooltipValue(int iDelay, String sText)

### createTooltipValue

TooltipValue createTooltipValue(int iDelay, String sText, FormatSpecifier formatSpecifier)

### createURLValue

URLValue createURLValue(String sBaseUrl, String sTarget, String sBaseParameterName, String sValueParameterName, String sSeriesParameterName)